Main Page | Class List | File List | Class Members | File Members | Related Pages

# ds__RetrievalMethodType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":RetrievalMethodType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__RetrievalMethodType:

[legend]
List of all members.

## Public Attributes
ds__TransformsType * | Transforms
| Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms.
char * | URI
| Attribute URI of type xs:anyURI.
char * | Type
| Optional attribute.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":RetrievalMethodType is a complexType.

## Member Data Documentation

struct ds__TransformsType* ds__RetrievalMethodType::Transforms

| Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms. Optional element.

char* ds__RetrievalMethodType::Type

| Optional attribute.

char* ds__RetrievalMethodType::URI

| Attribute URI of type xs:anyURI. Optional attribute.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h